import {
    ApiModel
} from "../../../utils/api";
const _Http = new ApiModel();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        NavHeight: getApp().globalData.myNavBorHeight, //头部导航高度
        /* 宫格列表 */
        gridList: [{
            id: '001',
            text: '商户管理',
            icon: 'https://bwj.obs.cn-east-2.myhuaweicloud.com/resources/WeChat/userCenter/icon-04.png'
        }, {
            id: '002',
            text: '产品管理',
            icon: 'https://bwj.obs.cn-east-2.myhuaweicloud.com/resources/WeChat/userCenter/icon-03.png'
        }, {
            id: '003',
            text: '合作商家',
            icon: 'https://bwj.obs.cn-east-2.myhuaweicloud.com/resources/WeChat/userCenter/icon-02.png'
        }, {
            id: '004',
            text: '团队管理',
            icon: 'https://bwj.obs.cn-east-2.myhuaweicloud.com/resources/WeChat/userCenter/icon-01.png'
        }],
        userMessage: {}, //用户信息
        myShowModel: false, //显示弹出窗
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {},
    /* 宫格展示区跳转 */
    gridJumpPage(e) {
        const {
            name
        } = e.target.dataset;
        if (name == "团队管理") {
            wx.navigateTo({
                url: '/pages/teamManagement/index',
            })
        } else if (name == '产品管理') {
            wx.navigateTo({
                url: '/pages/productManagement/index'
            })
        } else if (name == '商户管理') {
            /* 查询商户信息，有跳转到商户信息 没有跳转商户入口选择 */
            _Http.basic({
                "accesstoken": wx.getStorageSync('userData').token,
                "classname": "customer.tagents.tagents",
                "method": "query_enterpriseAgentsMain",
                "content": {}
            }).then(res => {
                if (res.msg != '成功') return;
                const data = res.data[0];
                const fintroduction = encodeURIComponent(data.fintroduction);
                data.fintroduction = fintroduction;
                //商户
                if (data.ftype != '个人') return wx.navigateTo({
                    url: '/pages/storeMessage/index?data=' + JSON.stringify(data),
                });
                if (data.fisauthenticating == 1) {
                    //正在审核中
                    return this.setData({
                        myShowModel: true
                    })
                } else {
                    //无商户信息子账号
                    if (wx.getStorageSync('userData').fisadministrator == 0) return wx.showToast({
                        title: '暂无商户信息',
                        icon: "none"
                    })
                    //未认证
                    wx.navigateTo({
                        url: '/pages/storeMessage/select',
                    })
                }
            })
        } else if (name == '合作商家') {
            wx.navigateTo({
                url: '/pages/businessPartner/index'
            })
        }
    },
    /* 跳转用户信息 */
    toUserCenter() {
        const data = JSON.stringify(this.data.userMessage)
        wx.navigateTo({
            url: '/pages/userCenter/index?data=' + data,
        })
    },
    /* 退出登录 */
    userLogout() {
        _Http.logout({
            "accesstoken": wx.getStorageSync('userData').token
        }).then(res => {
            if (res.status == "ok") {
                wx.showToast({
                    title: '退出成功',
                })

                setTimeout(() => {
                    wx.reLaunch({
                        url: '/pages/login/index',
                    })
                }, 500)
            }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getTabBar().init();
        // 获取用户信息
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.usercenter.usermsg.usermsg",
            "method": "query_usermsg",
            "content": {}
        }).then(res => {
            if (res.msg == '成功') return this.setData({
                userMessage: res.data[0]
            })
        });
        this.getTabBar().setData({
            'tabbarList[3].fcount': getApp().globalData.msgFcount
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})